Subject: bug#71712: 29.3; Crash on OpenBSD

From: Kirill A. Korinsky <[email-masked]>
Date: Wed, 26 Jun 2024 23:00:27 +0100

On Wed, 26 Jun 2024 17:11:41 +0100,
Eli Zaretskii <[email-masked]> wrote:
> 
> There's also the "reverse execution" in GDB.  You could set a
> breakpoint where it segfaults, with the condition that face == 0, and
> when that breaks, do reverse-step until you get to the place where the
> frame's face_cache is emptied (cache->used == 0); then produce a
> backtrace, including xbacktrace, and hopefully we will see the
> culprit.

I tried to attach GDB to running process, or start a new emacs under GDB.

Both attemt leads to massive amount of SIGSTOP signals, and if I switch
handler to nostop, I stop to get it, but resulted emacs is unresponsible.

I've rebuild emacs with

  --enable-checking='yes,glyphs' --enable-check-lisp-object-type \
    CFLAGS='-O0 -g3'

with hope that produced .core will be usefull.

-- 
wbr, Kirill